<h2>
  Shift Details <strong>[{{username}}]</strong>
</h2>
<div>
  <div class="row heading">
    <div class="col-sm-6 border"><strong>Shift start time</strong></div>
    <div class="col-sm-6 border"><strong>Shift end time</strong></div>
  </div>

  <span *ngIf="searchLoader">
    <img alt="loader" src="assets/img/loader.gif" class="loader-img" />
  </span>
  <div class="tbl">
    <div *ngFor="let shift of shiftData; let i = index" [attr.data-index]="i">
      <div class="row">
        <div class="col-sm-6 border">
          <span *ngIf="shift.shift_start">
            <button type="button" class="btn2" (click)="shift.expanded=true" *ngIf="!shift.expanded">+</button>
            <button type="button" class="btn2" (click)="shift.expanded=false" *ngIf="shift.expanded">-</button>
          </span> {{shift.shift_start}}
        </div>
        <div class="col-sm-6 border">{{shift.shift_end}} &nbsp;</div>
      </div>
      <div *ngIf="shift.expanded" class="expanded-row">
        <div class="row small-heading">
          <div class="col-sm-6 border"><strong><small>Login time</small></strong></div>
          <div class="col-sm-6 border"><strong><small>Logout time</small></strong></div>
        </div>
        <div class="row" *ngFor="let shiftLog of shift.shiftLogs;">
          <div class="col-sm-6 border">{{shiftLog.start_time}}</div>
          <div class="col-sm-6 border">{{shiftLog.end_time}} &nbsp;</div>
        </div>
      </div>
    </div>
  </div>
  <div class="container-fluid" *ngIf="shiftLength > 0">
    <div class="row col-md-12 text-center">
      <div class="dataTables_info1">
        <div>
          <ngb-pagination [collectionSize]="shiftLength" (pageChange)="pagingAgent($event)" [(page)]="pNo"
            [pageSize]="pageSize" aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true">
          </ngb-pagination>
        </div>
      </div>
    </div>
  </div>
  <div class="container-fluid" *ngIf="shiftLength==0">
    <div class="row">
      <div class="dataTables_info1">
        <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
          No records found.
        </div>
      </div>
    </div>
  </div>
</div>